package com.ijchart.xychart.function ;

/**
 * <p>Title: IJChart</p>
 *
 * <p>Description: a chart library for the Java(tm) platform.</p>
 * <zh>ṩĳʵ,ʽΪy= f(x).</zh>
 * <en>A function of the form y = f(x).</en>
 * <p>Copyright: Copyright (c) 2013</p>
 *
 * <p>Company: </p>
 *
 * @author zhang feng min,shanghai china.
 * <a href="mailto:ijchartsh@gmail.com">Contract me by email.</a>
 * @version 1.0
 */
public interface IFunction {
  /**
   * <zh>xֵyֵ.</zh>
   * <en>Calculate the y value for a given inpu x.</en>
   *
   * @param x double <zh>xֵ.</zh>
   * <en>The x value.</en>
   * @return double <zh>yֵ.</zh>
   * <en>The y value.</en>
   */
  double getY(double x) ;
}
